Package Gnumed :: Package business :: Module gmKVK :: Class cDTO_KVK |
[frames] | no frames]

# Class cDTO_KVK

source code

              object --+
                       |
    gmPerson.cDTO_person --+
                           |
                          cDTO_KVK

Instance Methods
__init__(self, filename=None, strict=True) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
get_candidate_identities(self, can_create=False) Generate generic queries. | source code
import_extra_data(self, identity=None, *args, **kwargs) | source code
delete_from_source(self) | source code
Inherited from `gmPerson.cDTO_person`: `__getitem__`, `__setattr__`, `__str__`, `import_into_database`, `keys`, `remember_address`, `remember_comm_channel`, `remember_external_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| kvkd_card_id_string = `u'Krankenversichertenkarte'`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, filename=None, strict=True) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### get_candidate_identities(self, can_create=False) | source code
    Generate generic queries.

    - not locale dependant
    - data -> firstnames, lastnames, dob, gender

    shall we mogrify name parts ? probably not as external
    sources should know what they do

    finds by inactive name, too, but then shows
    the corresponding active name ;-)

    Returns list of matching identities (may be empty)
    or None if it was told to create an identity but couldn't.
Overrides: gmPerson.cDTO_person.get_candidate_identities (inherited documentation)

### import_extra_data(self, identity=None, *args, **kwargs) | source code
Overrides: gmPerson.cDTO_person.import_extra_data

### delete_from_source(self) | source code
Overrides: gmPerson.cDTO_person.delete_from_source